Get customer details
curl --request GET \
--url https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"avatar_url": "<string>",
"custom_attributes": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}AI service
Get customer details
GET
/
api
/
integration
/
ai_service
/
customer
/
{customer_id}
/
details
Get customer details
curl --request GET \
--url https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/integration/ai_service/customer/{customer_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"avatar_url": "<string>",
"custom_attributes": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Path Parameters
Response
Request fulfilled, document follows